Eclipse Platform Release 3.7

## org.eclipse.ui.contexts
Class ContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ui.contexts.ContextException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotDefinedException

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public abstract class ContextException

extends Exception

Signals that an exception occurred within the context architecture.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `CommandException`, Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`ContextException(String message)` Deprecated. Creates a new instance of this class with the specified detail message.
`ContextException(String message, Throwable cause)` Deprecated. Creates a new instance of this class with the specified detail message and cause.

Method Summary
`Throwable` `getCause()` Deprecated. Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextException

    public ContextException(String message)

  Deprecated.
  Creates a new instance of this class with the specified detail message.

  Parameters:
    `message` - the detail message.

### ContextException

    public ContextException(String message,
                            Throwable cause)

  Deprecated.
  Creates a new instance of this class with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

Method Detail

### getCause

    public Throwable getCause()

  Deprecated.
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause or `null`
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.